<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-345"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FKeyboardManager%2FXHXTextKeyboardManager.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/KeyboardManager/XHXTextKeyboardManager.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_text_keyboard_manager_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXTextKeyboardManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_text_keyboard_manager_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXKeyboardManager.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnlineHD</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2018/2/28.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//  Copyed from YYTextKeyboardManager in order to expend XHXFramework.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html">   18</a></span>&nbsp;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">   19</a></span>&nbsp;    BOOL <a class="code" href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">fromVisible</a>; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">   20</a></span>&nbsp;    BOOL <a class="code" href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">toVisible</a>;   </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">   21</a></span>&nbsp;    CGRect <a class="code" href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">fromFrame</a>; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">   22</a></span>&nbsp;    CGRect <a class="code" href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">toFrame</a>;   </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">   23</a></span>&nbsp;    NSTimeInterval <a class="code" href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">animationDuration</a>;       </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">   24</a></span>&nbsp;    UIViewAnimationCurve <a class="code" href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">animationCurve</a>;    </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">   25</a></span>&nbsp;    UIViewAnimationOptions animationOption; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;} <a class="code" href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="protocol_x_h_x_text_keyboard_observer-p.html">   33</a></span>&nbsp;<span class="keyword">@protocol </span><a class="code" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a> &lt;NSObject&gt;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;- (void)keyboardChangedWithTransition:(<a class="code" href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a>)transition;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp; </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html">   46</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a> : NSObject</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;- (instancetype)init <a class="code" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">UNAVAILABLE_ATTRIBUTE</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;+ (instancetype)new <a class="code" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">UNAVAILABLE_ATTRIBUTE</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;+ (nullable instancetype)<a class="code" href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">defaultManager</a>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">   55</a></span>&nbsp;<span class="keyword">@property</span> (nullable, nonatomic, readonly) UIWindow *<a class="code" href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">keyboardWindow</a>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">   58</a></span>&nbsp;<span class="keyword">@property</span> (nullable, nonatomic, readonly) UIView *<a class="code" href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">keyboardView</a>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">   61</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, readonly, getter=isKeyboardVisible) BOOL <a class="code" href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">keyboardVisible</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp; </div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">   65</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, readonly) CGRect <a class="code" href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">keyboardFrame</a>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;- (void)addObserver:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a>&gt;)observer;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;- (void)removeObserver:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a>&gt;)observer;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp; </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;- (CGRect)convertRect:(CGRect)rect toView:(nullable UIView *)view;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp; </div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;NS_ASSUME_NONNULL_END</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_a6d215ca6c6f122a9a0af0e7b48040693"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">XHXTextKeyboardTransition::animationDuration</a></div><div class="ttdeci">NSTimeInterval animationDuration</div><div class="ttdoc">Keyboard transition animation duration.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:23</div></div>
<div class="ttc" id="aprotocol_x_h_x_text_keyboard_observer-p_html"><div class="ttname"><a href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver-p</a></div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:33</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_aad15905ae428fe9bfdfad2010087b680"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">XHXTextKeyboardTransition::fromFrame</a></div><div class="ttdeci">CGRect fromFrame</div><div class="ttdoc">Keyboard frame before transition.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:21</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_afacd2636b7e1409a917dad69d10a06e1"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">XHXTextKeyboardTransition::animationCurve</a></div><div class="ttdeci">UIViewAnimationCurve animationCurve</div><div class="ttdoc">Keyboard transition animation curve.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:24</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_af664f9a3d1c9aa90b635f6c94c383679"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">XHXTextKeyboardTransition::toVisible</a></div><div class="ttdeci">BOOL toVisible</div><div class="ttdoc">Keyboard visible after transition.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:20</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_aa8017a158e3aae47235dcfaf95bd947b"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">-[XHXTextKeyboardManager UNAVAILABLE_ATTRIBUTE]</a></div><div class="ttdeci">instancetype UNAVAILABLE_ATTRIBUTE()</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_a97527530fdc984218af25924c085e936"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">XHXTextKeyboardTransition::toFrame</a></div><div class="ttdeci">CGRect toFrame</div><div class="ttdoc">Keyboard frame after transition.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:22</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a></div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:47</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_af91fb8bd3f946a6f31b51e1f33879ef6"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">XHXTextKeyboardManager::keyboardView</a></div><div class="ttdeci">UIView * keyboardView</div><div class="ttdoc">Get the keyboard view. nil if there&#39;s no keyboard view.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:58</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_a300dd1d5b91c7b6c7c835673897dfe05"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">XHXTextKeyboardManager::keyboardVisible</a></div><div class="ttdeci">BOOL keyboardVisible</div><div class="ttdoc">Whether the keyboard is visible.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:61</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_aabbe90d0540d26343ca02eed90abb2fd"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">+[XHXTextKeyboardManager defaultManager]</a></div><div class="ttdeci">nullable instancetype defaultManager()</div><div class="ttdoc">Get the default manager (returns nil in App Extension).</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.m:162</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a></div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:18</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_ab0735fbc05863c75b54e12fb9b59c440"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">XHXTextKeyboardManager::keyboardFrame</a></div><div class="ttdeci">CGRect keyboardFrame</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:65</div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_aa491574a2e8b5ab1352f8e5615ca6ef4"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">XHXTextKeyboardManager::keyboardWindow</a></div><div class="ttdeci">UIWindow * keyboardWindow</div><div class="ttdoc">Get the keyboard window. nil if there&#39;s no keyboard window.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:55</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_a0b00535442714dc6ccf8e68a34fb91f3"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">XHXTextKeyboardTransition::fromVisible</a></div><div class="ttdeci">BOOL fromVisible</div><div class="ttdoc">Keyboard visible before transition.</div><div class="ttdef"><b>Definition:</b> XHXTextKeyboardManager.h:19</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_eb9f6304be17a12e3b483b042ed3323c.html">KeyboardManager</a></li><li class="navelem"><a class="el" href="_x_h_x_text_keyboard_manager_8h.html">XHXTextKeyboardManager.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>